Summary: A utility to collect various linux performance data
Name: collectl
Version: 4.3.5
Release: %mkrel 1
License: GPL+ or Artistic
Group: Monitoring
Source0: https://prdownloads.sourceforge.net/%name/%{name}-%{version}.src.tar.gz
Source1:collectl-mga
#patch0: collectl-3.4.0-install.patch
Url: http://collectl.sourceforge.net/
BuildArch: noarch

%description
A utility to collect linux performance data

%prep
%setup -q -n %{name}
#%patch0

%build

%install
export DESTDIR=$RPM_BUILD_ROOT
./INSTALL
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}.conf
# lspci is under /usr/bin
echo "Lspci = /usr/bin/lspci" >> ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}.conf
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}/*

%files
%doc RELEASE-%{name} docs/*.html* README GPL ARTISTIC COPYING
%doc docs/*.jpg docs/style.css
%config(noreplace) %{_sysconfdir}/%{name}.conf
#gw AFAIK logrotate is not needed as collectl does that itself
%dir /var/log/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_sysconfdir}/init.d/%{name}
%{_datadir}/%{name}

%preun
# If collectl is running, stop it before removing.
/etc/init.d/%{name} stop
chkconfig --del %{name} 2>&1 > /dev/null

%post
chkconfig --add %{name} 2>&1 > /dev/null
/etc/init.d/%{name} start


%changelog
* Mon Nov 21 2022 bcornec <bcornec> 4.3.5-1.mga9
+ Revision: 1909892
- Update to upstream collectl 4.3.5

* Tue Sep 06 2022 bcornec <bcornec> 4.3.4-1.mga9
+ Revision: 1884365
- Update collectl to upstream 4.3.4

* Mon Aug 01 2022 bcornec <bcornec> 4.3.3-3.mga9
+ Revision: 1874069
- Update to upstream collectl 4.3.3

* Mon Mar 21 2022 umeabot <umeabot> 4.3.1-3.mga9
+ Revision: 1811138
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 4.3.1-2.mga8
+ Revision: 1520761
- Mageia 8 Mass Rebuild

* Sat Dec 08 2018 bcornec <bcornec> 4.3.1-1.mga7
+ Revision: 1338868
- Update to upstream collectl 4.3.1

* Thu Oct 11 2018 bcornec <bcornec> 4.3.0-2.mga7
+ Revision: 1319432
- Update to upstream collectl 4.3.0

* Tue Sep 18 2018 umeabot <umeabot> 4.2.0-2.mga7
+ Revision: 1262093
- Mageia 7 Mass Rebuild

* Fri Jun 23 2017 bcornec <bcornec> 4.2.0-1.mga6
+ Revision: 1108206
- Fix an issue with build system on a doc file not seen locally
- Update to upstream 4.2.0
- Update to upstream 4.1.3

* Mon Jan 02 2017 bcornec <bcornec> 4.1.0-1.mga6
+ Revision: 1079625
- Update to upstream collectl 4.1.0

* Thu Aug 18 2016 bcornec <bcornec> 4.0.5-1.mga6
+ Revision: 1046761
- Update to collectl upstream 4.0.5

* Fri Feb 12 2016 bcornec <bcornec> 4.0.4-1.mga6
+ Revision: 957707
- Adds a missing doc preventing rebuild on build system
- Update to upstream 4.0.4

* Sun Jan 03 2016 bcornec <bcornec> 4.0.2-1.mga6
+ Revision: 919100
- Update to upstream 4.0.2

* Tue Oct 20 2015 tv <tv> 3.7.4-2.mga6
+ Revision: 893154
- fix build: package more docs

* Thu Oct 16 2014 bcornec <bcornec> 3.7.4-1.mga5
+ Revision: 758917
- Update to upstream collectl 3.7.4

* Wed Oct 15 2014 umeabot <umeabot> 3.7.3-4.mga5
+ Revision: 739788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.7.3-3.mga5
+ Revision: 678472
- Mageia 5 Mass Rebuild

* Tue Apr 01 2014 bcornec <bcornec> 3.7.3-2.mga5
+ Revision: 611123
- Update to upstream collectl 3.7.3

* Tue Oct 22 2013 umeabot <umeabot> 3.6.9-2.mga4
+ Revision: 545691
- Mageia 4 Mass Rebuild
+ bcornec <bcornec>
- Update to upstream 3.6.9 due to critical bug on 3.6.8

* Wed Oct 16 2013 bcornec <bcornec> 3.6.8-1.mga4
+ Revision: 501578
- updated collectl sha1
- Update to upstream 3.6.8 (Fix change in install dirs and some restrictive modes at installation time)
- Created package structure for collectl.

